//
//  CreateLiveRoomRequest.swift
//  SodaLive
//
//  Created by klaus on 2023/08/14.
//

import Foundation

struct CreateLiveRoomRequest: Encodable {
    let title: String
    let content: String
    let coverImageUrl: String?
    let tags: [String]
    let numberOfPeople: Int
    var isAdult: Bool = false
    var price = 0
    var type: LiveRoomCreateViewModel.LiveRoomType = .OPEN
    var password: String? = nil
    let timezone: String = TimeZone.current.identifier
    var beginDateTimeString: String? = nil
    var menuPanId: Int = 0
    var menuPan: String = ""
    var isActiveMenuPan: Bool = false
    var isAvailableJoinCreator: Bool = true
}
